- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiSolverResult Class Reference

Solver Result Class. More...

`#include <OsiSolverBranch.hpp>`

Collaboration diagram for OsiSolverResult:

[legend]
List of all members.

## Public Member Functions
Add and Get methods
void | createResult (const OsiSolverInterface &solver, const double *lowerBefore, const double *upperBefore)
| Create result.
void | restoreResult (OsiSolverInterface &solver) const
| Restore result.
const CoinWarmStartBasis & | basis () const
| Get basis.
double | objectiveValue () const
| Objective value (as minimization).
const double * | primalSolution () const
| Primal solution.
const double * | dualSolution () const
| Dual solution.
const OsiSolverBranch & | fixed () const
| Extra fixed.
Constructors and destructors
| OsiSolverResult ()
| Default Constructor.
| OsiSolverResult (const OsiSolverInterface &solver, const double *lowerBefore, const double *upperBefore)
| Constructor from solver.
| OsiSolverResult (const OsiSolverResult &rhs)
| Copy constructor.
OsiSolverResult & | operator= (const OsiSolverResult &rhs)
| Assignment operator.
| ~OsiSolverResult ()
| Destructor.
## Private Attributes
Private member data
double | objectiveValue_
| Value of objective (if >= OsiSolverInterface::getInfinity() then infeasible).
CoinWarmStartBasis | basis_
| Warm start information.
double * | primalSolution_
| Primal solution (numberColumns).
double * | dualSolution_
| Dual solution (numberRows).
OsiSolverBranch | fixed_
| Which extra variables have been fixed (only way==-1 counts).

## Detailed Description

Solver Result Class.

This provides information on a result as a set of tighter bounds on both ways

Definition at line 82 of file OsiSolverBranch.hpp.

## Constructor & Destructor Documentation

OsiSolverResult::OsiSolverResult | ( |  | ) |

Default Constructor.

OsiSolverResult::OsiSolverResult | ( | const OsiSolverInterface & | solver,
|  | const double * | lowerBefore,
|  | const double * | upperBefore |
| ) |  |  |

Constructor from solver.

OsiSolverResult::OsiSolverResult | ( | const OsiSolverResult & | rhs | ) |

Copy constructor.

OsiSolverResult::~OsiSolverResult | ( |  | ) |

Destructor.

## Member Function Documentation

void OsiSolverResult::createResult | ( | const OsiSolverInterface & | solver,
|  | const double * | lowerBefore,
|  | const double * | upperBefore |
| ) |  |  |

Create result.

void OsiSolverResult::restoreResult | ( | OsiSolverInterface & | solver | ) | const

Restore result.

const CoinWarmStartBasis& OsiSolverResult::basis | ( |  | ) | const`[inline]`

Get basis.

Definition at line 95 of file OsiSolverBranch.hpp.

References basis_.

double OsiSolverResult::objectiveValue | ( |  | ) | const`[inline]`

Objective value (as minimization).

Definition at line 99 of file OsiSolverBranch.hpp.

References objectiveValue_.

const double* OsiSolverResult::primalSolution | ( |  | ) | const`[inline]`

Primal solution.

Definition at line 103 of file OsiSolverBranch.hpp.

References primalSolution_.

const double* OsiSolverResult::dualSolution | ( |  | ) | const`[inline]`

Dual solution.

Definition at line 107 of file OsiSolverBranch.hpp.

References dualSolution_.

const OsiSolverBranch& OsiSolverResult::fixed | ( |  | ) | const`[inline]`

Extra fixed.

Definition at line 111 of file OsiSolverBranch.hpp.

References fixed_.

OsiSolverResult& OsiSolverResult::operator= | ( | const OsiSolverResult & | rhs | ) |

Assignment operator.

## Member Data Documentation

double OsiSolverResult::objectiveValue_`[private]`

Value of objective (if >= OsiSolverInterface::getInfinity() then infeasible).

Definition at line 140 of file OsiSolverBranch.hpp.

Referenced by objectiveValue().

CoinWarmStartBasis OsiSolverResult::basis_`[private]`

Warm start information.

Definition at line 142 of file OsiSolverBranch.hpp.

Referenced by basis().

double* OsiSolverResult::primalSolution_`[private]`

Primal solution (numberColumns).

Definition at line 144 of file OsiSolverBranch.hpp.

Referenced by primalSolution().

double* OsiSolverResult::dualSolution_`[private]`

Dual solution (numberRows).

Definition at line 146 of file OsiSolverBranch.hpp.

Referenced by dualSolution().

OsiSolverBranch OsiSolverResult::fixed_`[private]`

Which extra variables have been fixed (only way==-1 counts).

Definition at line 148 of file OsiSolverBranch.hpp.

Referenced by fixed().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Osi-0.98.1/Osi/src/OsiSolverBranch.hpp